Description

This patch removes navigation parameters from the issue detail URL after updating an issue.

Before applying the patch:

http://localhost:3000/issues/2?issue_count=8&issue_position=2&next_issue_id=3&prev_issue_id=1

 After applying the patch:

http://localhost:3000/issues/2

 

Background/Purpose

Currently, the URL of the issue detail screen after updating an issue includes navigation parameters like:

http://localhost:3000/issues/2?issue_count=8&issue_position=2&next_issue_id=3&prev_issue_id=1

 These navigation parameters are used to display navigation in the issue detail screen:

 navigation-in-issue-detail.png 

prev_issue_id: The issue linked to the "Previous" button

next_issue_id: The issue linked to the "Next" button

issue_position, issue_count: Position information (e.g., "7 of 8")

The navigation is normally displayed based on the active filter and sort conditions. However, if the URL with navigation parameters is

used, it is always displayed based on the parameter values, regardless of the current filter or sort settings.

For example, sharing the URL may cause incorrect navigation to appear for others. I think the URL should not be shareable.

Solution

This patch uses Flash to pass navigation information (e.g., next_issue_id, prev_issue_id) after updating an issue, removing the need

to include navigation parameters in the URL. This ensures that a clean, shareable URL (e.g., http://example.net/issues/123) is

maintained.

Additionally, users no longer need to manually remove unnecessary parameters when copying the URL from the browser’s address

bar.

I confirmed all tests passed after applying the patch.

https://github.com/hidakatsuya/redmine/actions/runs/12620683503

Associated revisions

Revision 23433 - 2025-01-07 08:18 - Go MAEDA

Remove navigation parameters from issue detail URLs after updates (#42073).

Patch by Katsuya HIDAKA (user:hidakatsuya).

2025-03-31 1/2

https://github.com/hidakatsuya/redmine/actions/runs/12620683503


History

#1 - 2025-01-06 02:43 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2025-01-06 16:24 - Go MAEDA

- Target version changed from Candidate for next major release to 6.1.0

The changes look good to me. I have confirmed that the functionality works as expected. The improvement of removing unnecessary parameters from

the issue URL is valuable.

I am setting the target version to 6.1.0.

#3 - 2025-01-07 08:19 - Go MAEDA

- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23433. Thank you for your contribution.
